function open_demo(model_name)

choice = questdlg(['Would you like to open the ' model_name  ...
    ' model, or copy it into your current working directory?'], ...
    'Opening Dataspeed Demo Model', 'Open', 'Copy', 'Open');

switch choice   
    case 'Open'        
        uiopen(which([model_name '.slx']), 1)
    case 'Copy'
        expression = ['(.*)\\' model_name '\\'];
        m = regexp(which([model_name '.slx']), expression, 'tokens');                 
        copyfile([char(m{1}) '\' model_name], [pwd '\' model_name]);
%     case 'Documentation'
%         winopen(which([model_name '_doc.pdf']));
end

end